{
  "schema_version": "1.4.0",
  "id": "GHSA-wqgc-ghqv-pj27",
  "modified": "2022-05-01T01:50:08Z",
  "published": "2022-05-01T01:50:08Z",
  "aliases": [
    "CVE-2005-0529"
  ],
  "details": "Linux kernel 2.6.10 and 2.6.11rc1-bk6 uses different size types for offset arguments to the proc_file_read and locks_read_proc functions, which leads to a heap-based buffer overflow when a signed comparison causes negative integers to be used in a positive context.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2005-0529"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8994"
    },
    {
      "type": "WEB",
      "url": "http://distro.conectiva.com.br/atualizacoes/index.php?id=a&anuncio=000930"
    },
    {
      "type": "WEB",
      "url": "http://linux.bkbits.net:8080/linux-2.6/cset%404201818eC6aMn0x3GY_9rw3ueb2ZWQ"
    },
    {
      "type": "WEB",
      "url": "http://linux.bkbits.net:8080/linux-2.6/cset@4201818eC6aMn0x3GY_9rw3ueb2ZWQ"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=111091402626556&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=full-disclosure&m=110846727602817&w=2"
    },
    {
      "type": "WEB",
      "url": "http://www.guninski.com/where_do_you_want_billg_to_go_today_3.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2005_18_kernel.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-366.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "LOW",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-05-02T04:00:00Z"
  }
}